/*
 * (SLIK) SimpLIstic sKin functions
 * (C) 2001 John Ellis
 *
 * Author: John Ellis
 *
 * This software is released under the GNU General Public License (GNU GPL).
 * Please read the included file COPYING for more information.
 * This software comes with no warranty of any kind, use at your own risk!
 */

#ifndef UI2_MAIN_H
#define UI2_MAIN_H


void ui_free(UIData *ui);

/* subclass is used for the ui's key identifier */
UIData *ui_new(const gchar *class, const gchar *subclass, gint decorations, const gchar *title);
void ui_title_set(UIData *ui, const gchar *text);

void ui_set_mouse_callback(UIData *ui, void (*func)(UIData *ui, gint button, guint32 time, gpointer data), gpointer data);

gint ui_geometry_get(UIData *ui, gint *x, gint *y, gint *w, gint *h);


RegisterData *ui_register_key(UIData *ui, const gchar *key, WidgetType type, gpointer callbacks, guint length);
void ui_register_free_all(UIData *ui);
gpointer ui_get_registered_callbacks(UIData *ui, const gchar *key, WidgetType type);

gint ui_registered_key_exists(UIData *ui, const gchar *key, WidgetType type);

gint ui_widget_exists(UIData *ui, const gchar *key, WidgetType type);

void ui_skin_set(UIData *ui, SkinData *skin);
gint ui_skin_load(UIData *ui, const gchar *path, const gchar *mode_key);
gint ui_skin_mode_set(UIData *ui, const gchar *mode_key);

void ui_debug_print_registered_keys(UIData *ui);
void ui_debug_print_all_keys(UIData *ui);

void window_set_icon(GtkWidget *window, const char **icon, const gchar *file);
void ui_set_icon(UIData *ui, const char **icon, const gchar *file);

UIData *ui_find_by_key(const gchar *key);

const char **ui_slik_logo(void);
GtkWidget *ui_slik_credit(void);


#endif





