/*
 * (SLIK) SimpLIstic sKin functions
 * (C) 2001 John Ellis
 *
 * Author: John Ellis
 *
 * This software is released under the GNU General Public License (GNU GPL).
 * Please read the included file COPYING for more information.
 * This software comes with no warranty of any kind, use at your own risk!
 */

#ifndef UI2_SLIDER_H
#define UI2_SLIDER_H


typedef struct _SliderData SliderData;
struct _SliderData
{
	GdkPixbuf *overlay;
	GdkPixbuf *pixbuf;
	gint x;
	gint y;
	gint width;
	gint height;
	gint vertical;
	gint reversed;
	gint handle_width;
	gint handle_height;
	gint handle_size;
	gint length;
	gint position;
	gfloat value;
	gint has_press;
	gint has_prelight;
	gint pushed;
	gint prelit;
	gchar *item_key;
	SkinData *skin;
};


SliderData *slider_new(GdkPixbuf *pb, gint has_press, gint prelight, gint vertical, gint reversed,
		       gint length, gint x, gint y, const gchar *item_key);
SliderData *slider_new_from_data(gchar **data, gint has_press, gint prelight, gint vertical, gint reversed,
				 gint length, gint x, gint y, const gchar *item_key);
SliderData *slider_new_from_file(const gchar *file, gint has_press, gint prelight, gint vertical, gint reversed,
			gint length, gint x, gint y, const gchar *item_key);
void slider_free(SliderData *slider);

WidgetData *slider_register(SkinData *skin, SliderData *slider, const gchar *key, const gchar *text_id);
RegisterData *slider_register_key(const gchar *key, UIData *ui,
				  gfloat (*status_get_func)(SliderData *slider, const gchar *key, gpointer data), gpointer status_get_data,
				  void (*slider_press_func)(SliderData *slider, const gchar *key, gfloat value, gpointer data), gpointer slider_press_data,
				  void (*slider_release_func)(SliderData *slider, const gchar *key, gfloat value, gpointer data), gpointer slider_release_data,
				  void (*slider_drag_func)(SliderData *slider, const gchar *key, gfloat value, gpointer data), gpointer slider_drag_data);
gint slider_value_set(const gchar *key, UIData *ui, gfloat value);
gfloat slider_value_get(const gchar *key, UIData *ui);


WidgetType slider_type_id(void);
void slider_type_init(void);


#endif







